Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517344 (kde-4.14.3-stable) - KDE SC 4.14.3 stabilization
Summary: KDE SC 4.14.3 stabilization
Status: RESOLVED FIXED
Alias: kde-4.14.3-stable
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement with 3 votes (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
: 520618 (view as bug list)
Depends on: 380899 508324 508350 508440 515146 516236 516694 517492 517978 518014 519940 521992 525558 528754 530824 530874 530880 532120
Blocks: CVE-2013-7252 510172 523322 524466 CVE-2014-8651 CVE-2014-8600
  Show dependency tree
 
Reported: 2014-07-17 16:56 UTC by Johannes Huber
Modified: 2015-02-18 17:42 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
stabilisation list (kde-stable,9.21 KB, text/plain)
2014-11-27 15:32 UTC, Michael Palimaka (kensington)
Details
stabilisation list v2 (kde-stable,9.21 KB, text/plain)
2014-12-01 12:29 UTC, Michael Palimaka (kensington)
Details
stabilisation list v3 (kde-stable,9.22 KB, text/plain)
2014-12-03 15:02 UTC, Michael Palimaka (kensington)
Details
stabilisation list v4 (kde-stable,9.22 KB, text/plain)
2014-12-04 11:42 UTC, Michael Palimaka (kensington)
Details
stabilisation list v5 (kde-stable,9.22 KB, text/plain)
2014-12-09 16:46 UTC, Michael Palimaka (kensington)
Details
stabilisation list v6 (kde-stable,9.23 KB, text/plain)
2014-12-26 15:21 UTC, Michael Palimaka (kensington)
Details
stabilisation list v7 (kde-stable.txt,9.23 KB, text/plain)
2015-01-18 21:00 UTC, Johannes Huber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Huber gentoo-dev 2014-07-17 16:56:50 UTC
In preparation, please avoid talking here.
Comment 1 Johannes Huber gentoo-dev 2014-08-22 21:52:25 UTC
*** Bug 520618 has been marked as a duplicate of this bug. ***
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2014-11-06 18:50:23 UTC
We'll stabilize 4.11.13 in bug #528466 and postpone KDE SC stabilization to 4.14.(2|3)
Comment 3 Agostino Sarubbo gentoo-dev 2014-11-24 15:28:57 UTC
Where the stabilization list should supposed to be?
Comment 4 Michael Palimaka (kensington) gentoo-dev 2014-11-24 15:30:14 UTC
It's in the overlay, but I think at this point we'll end up targeting 4.14.3, and the list isn't repoman checked.
Comment 5 Michael Palimaka (kensington) gentoo-dev 2014-11-27 15:32:38 UTC
Created attachment 390402 [details]
stabilisation list

First draft. Extra packages are part of this list because they need to be stabilised at the same time due to dependency/USE flag conflicts.
Comment 6 Agostino Sarubbo gentoo-dev 2014-11-28 14:14:12 UTC
why bug 521992 is in the depends on field? should it be in the blocks instead?
Comment 7 Michael Palimaka (kensington) gentoo-dev 2014-11-28 17:40:03 UTC
(In reply to Agostino Sarubbo from comment #6)
> why bug 521992 is in the depends on field? should it be in the blocks
> instead?

Newer digiKam needs to go stable at the same time as 4.14.3, and we hope to have this bug solved first (it's a regression).
Comment 8 Michael Palimaka (kensington) gentoo-dev 2014-12-01 12:29:40 UTC
Created attachment 390700 [details]
stabilisation list v2

Updated list for fixed digiKam.
Comment 9 Michael Palimaka (kensington) gentoo-dev 2014-12-03 15:02:53 UTC
Created attachment 390850 [details]
stabilisation list v3

Updated for kdebindings ruby updates.
Comment 10 Michael Palimaka (kensington) gentoo-dev 2014-12-04 11:42:37 UTC
Created attachment 390912 [details]
stabilisation list v4

Update kdelibs for revbump for crash patch.
Comment 11 Michael Palimaka (kensington) gentoo-dev 2014-12-09 16:46:01 UTC
Created attachment 391286 [details]
stabilisation list v5

Update for for smokeqt automagic dependency fix.
Comment 12 Michael Palimaka (kensington) gentoo-dev 2014-12-09 16:57:35 UTC
I think we're finally ready to go. :-)

The list has been checked and should be repoman-clean, but please let us know of any issues.
Comment 13 Michael Palimaka (kensington) gentoo-dev 2014-12-11 06:31:20 UTC
Please don't forget that all packages on this list need to go stable together due to dependencies. This is causing breakage like bug #532230.
Comment 14 Michael Palimaka (kensington) gentoo-dev 2014-12-12 13:46:58 UTC
more breakage bug #532366
Comment 15 Anton Kuleshov 2014-12-12 13:51:29 UTC
Same with Amarok.
Comment 16 Erik Quaeghebeur 2014-12-12 14:06:02 UTC
(In reply to Michael Palimaka (kensington) from comment #13)
> Please don't forget that all packages on this list need to go stable
> together due to dependencies. This is causing breakage [...]

On amd64 no appropriate stable for at least

* rekonq
* amarok
* digikam

(based on my sync a couple of minutes ago).
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-12-12 15:54:04 UTC
amd64 stable
Comment 18 Michael Palimaka (kensington) gentoo-dev 2014-12-26 15:21:20 UTC
Created attachment 392450 [details]
stabilisation list v6

Updated list for backported crash fix for ark
Comment 19 Johannes Huber gentoo-dev 2015-01-18 21:00:21 UTC
Created attachment 394306 [details]
stabilisation list v7

Because of bug #532120 added =kde-base/qtruby-4.14.3-r2.
Comment 20 Johannes Huber gentoo-dev 2015-01-18 21:01:27 UTC
(In reply to Johannes Huber from comment #19)
> Created attachment 394306 [details]
> stabilisation list v7
> 
> Because of bug #532120 added =kde-base/qtruby-4.14.3-r2.

@amd64 re-added because of the new package revision.
Comment 21 Agostino Sarubbo gentoo-dev 2015-02-14 14:02:43 UTC
amd64 stable
Comment 22 Agostino Sarubbo gentoo-dev 2015-02-14 14:39:00 UTC
x86 stable
Comment 23 Agostino Sarubbo gentoo-dev 2015-02-16 08:35:13 UTC
ppc stable
Comment 24 Johannes Huber gentoo-dev 2015-02-18 17:42:09 UTC
ppc64 was stabled by Agostino. Thanks all. Closing.